﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Object.h"
#include "GOAPAction.generated.h"

/**
 * 
 */
UCLASS()
class COMP250_1_2101327_AI_API UGOAPAction : public UObject
{
	GENERATED_BODY()

public:
	virtual bool CheckPreConditions(TMap<FString, int32> WorldState);
	TMap<FString, int32> ApplyEffects(TMap<FString, int32> WorldState);
	
protected:
	TMap<FString, int32> PreConditions;
	TMap<FString, int32> Effects;
};
